com.sap.core.connectivity.api.validation.consts

## Interface CommonConstants

-     public interface CommonConstants

  Provides commonly used constants during Destination validation.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `KEY_STORE_LOCATION` Destination keystore location property.
    `static String` | `KEY_STORE_PASSWORD` Destination keystore password property.
    `static String` | `NAME` Destination name property.
    `static String` | `TRUST_STORE_LOCATION` Destination truststore location property.
    `static String` | `TRUST_STORE_PASSWORD` Destination truststore password property.
    `static String` | `TYPE` Destination type property.
    `static String` | `TYPE_HTTP` Valid Destination Type - HTTP.
    `static String` | `TYPE_LDAP` Destination type for LDAP connection protocol.
    `static String` | `TYPE_MAIL` Valid Destination Type - MAIL.
    `static String` | `TYPE_RFC` Valid Destination Type - RFC (JCo).

- - ### Field Detail

    - #### TYPE_HTTP

          static final String TYPE_HTTP

      Valid Destination Type - HTTP.
      See Also:
        Constant Field Values

    - #### TYPE_MAIL

          static final String TYPE_MAIL

      Valid Destination Type - MAIL.
      See Also:
        Constant Field Values

    - #### TYPE_RFC

          static final String TYPE_RFC

      Valid Destination Type - RFC (JCo).
      See Also:
        Constant Field Values

    - #### TYPE_LDAP

          static final String TYPE_LDAP

      Destination type for LDAP connection protocol.
      See Also:
        Constant Field Values

    - #### NAME

          static final String NAME

      Destination name property.
      See Also:
        Constant Field Values

    - #### TYPE

          static final String TYPE

      Destination type property.
      See Also:
        Constant Field Values

    - #### KEY_STORE_LOCATION

          static final String KEY_STORE_LOCATION

      Destination keystore location property.
      See Also:
        Constant Field Values

    - #### KEY_STORE_PASSWORD

          static final String KEY_STORE_PASSWORD

      Destination keystore password property.
      See Also:
        Constant Field Values

    - #### TRUST_STORE_LOCATION

          static final String TRUST_STORE_LOCATION

      Destination truststore location property.
      See Also:
        Constant Field Values

    - #### TRUST_STORE_PASSWORD

          static final String TRUST_STORE_PASSWORD

      Destination truststore password property.
      See Also:
        Constant Field Values

Copyright © 2020 SAP. All Rights Reserved.